
%define	module	qp_xml

Summary:	Class library to render XML documents from within Python
Summary(pl.UTF-8):	Moduł do renderowania dokumentów XML przy użyciu Pythona
Name:		python-%{module}
Version:	1.0
Release:	14
License:	distributable
Group:		Libraries/Python
Source0:	%{module}-%{version}.tar.gz
# Source0-md5:	5e3936c5824ec766838c99f3d14a441f
#Source0:	http://www.lyra.org/greg/python/qp_xml.py
URL:		http://www.lyra.org/greg/python/
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	expat
%pyrequires_eq	python
BuildRequires:	python-devel >= 2.2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides quick XML documents rendering using expat parser.

%description -l pl.UTF-8
Ten moduł umożliwia szybkie renderowanie dokumentów XML przy użyciu
parsera expat.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

install *.py $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}

rm $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py?
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-qp_xml.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8ba8d5a
- release 14 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 02bbd59
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> b0a2030
- release 13

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 74e981c
- release 12

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f47a481
- release 11

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 15c0b5b
- release 10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3df328a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2c3d747
- converted to UTF-8

* Fri Oct 13 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> b33064b
- rel 9

* Mon Aug 28 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 03ad108
- rel 8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 09ffade
- mass commit: remove obsolete BR: rpm-pythonprov

* Fri Dec 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 7122802
- rel 7

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 29d8f98
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> 8df3fcd
- capitalization, tabs, other cosmetics

* Mon Jan 19 2004 Jacek Konieczny <jajcus@pld-linux.org> 0348ae6
- Release: 6
- new architecture-independent python modules paths

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 1509bbf
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 512a970
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Apr 13 2002 kloczek <kloczek@pld-linux.org> 3df9ea7
- rebuild against python 2.2.1.

* Thu Apr 11 2002 wrobell <wrobell@pld-linux.org> d3a6ac3
- rel. 5, stb

* Thu Apr 11 2002 wrobell <wrobell@pld-linux.org> 15bb93d
- use pyrequires_eq instead of requires_eq macro (massive attack!)

